အကြောင်းအရာသို့ ကျော်ရန်

Seedance 2.5 US Text to Video

ပေါင်းစည်းရန်

မော်ဒယ် id bytedance/seedance-2.5/us/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance-2.5/us/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

လုပ်ဆောင်မှုတစ်ကြိမ်လျှင် ၆.၉၄၄ $ အထိ အမှန်တကယ် အသုံးပြုမှုအလိုက် ကောက်ခံပြီး ကျန်ငွေကို ငွေပြန်အမ်းသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်
ByteDance စာသားမှ ဗီဒီယို မူရင်းအသံLipsync၄–၃၀ s1080p အထိ #stylized#transform

30 စက္ကန့် အထိ ကလစ်များနှင့် 1080p အထိ အထွက်ပါဝင်သော Seedance 2.5 text-to-video

ByteDance · ဗီဒီယို

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည်

ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်သည့် စာသားပရောမ့်။

duration auto

ဗီဒီယိုကြာချိန် ရွေးချယ်မှု: `auto` သည် ပရောမ့်ကို အသုံးပြု၍ ရွေးချယ်မှုကို မော်ဒယ်ထံ လွှဲပေးသည်။ သတ်မှတ်ထားသော ကြာချိန်သည် 4 မှ 30 စက္ကန့်အတွင်း ဖြစ်ရမည်။

resolution မူလ 720p

ထွက်ရလဒ် ရုပ်ထွက်အရည်အသွေး: 480p သည် မြန်နှုန်းကို ဦးစားပေးပြီး၊ 720p သည် ဟန်ချက်ညီမှုကို ပေးကာ၊ 1080p သည် အရည်အသွေးမြင့် ရလဒ်ကို ပေးသည်။

aspect_ratio မူလ auto

ထွက်ရလဒ် အချိုး: 16:9 သည် အလျားလိုက်၊ 9:16 သည် ဒေါင်လိုက်၊ 1:1 သည် စတုရန်းနှင့် 21:9 သည် ရုပ်ရှင်ဆန်သော ultrawide ဖြစ်စေသည်။ မော်ဒယ်အား အချိုးရွေးချယ်စေရန် `auto` ကို ရွေးပါ။

အဆင့်မြင့် bitrate_mode · codec · end_user_id
bitrate_mode မူလ standard

ထွက်ရလဒ် encoding bitrate ကို ရွေးပါ: 'standard' သည် မူလတန်ဖိုးကို ထိန်းသိမ်းပြီး 'high' သည် ဖိုင်အရွယ်အစား ပိုကြီးလာသော်လည်း encoding အရည်အသွေးကို မြှင့်တင်ရန် မော်ဒယ်အား တောင်းဆိုသည်။

codec မူလ auto

ဗီဒီယို codec ရွေးချယ်ခြင်း: `auto` သည် မူလ codec အပြုအမူကို မပြောင်းလဲဘဲ ထားသည်၊ `H264` သည် H.264 ကို ရွေးပြီး `H265` သည် H.265 ကို ရွေးသည်။

နောက်ဆုံးအသုံးပြုသူထံ သတ်မှတ်ပေးထားသော ထူးခြားသည့် အမှတ်အသား။

POST /run/bytedance/seedance-2.5/us/text-to-video?wait=20 ကုန်ကျစရိတ် → ၆.၉၄၄ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/bytedance/seedance-2.5/us/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Seedance 2.5 US Text to Video အကြောင်း

မူလတန်ဖိုးအဖြစ် ထပ်တူပြုအသံဖွင့်ထားသော စာသားပရောမ့်မှ ဗီဒီယိုကို ဖန်တီးသည်။ ရုပ်ထွက်အရည်အသွေးသည် 480p၊ 720p သို့မဟုတ် 1080p ဖြစ်နိုင်ပြီး ကြာချိန်သည် auto သို့မဟုတ် 4 မှ 30 စက္ကန့် ဖြစ်သည်။ အချိုးအစားသည် 21:9 မှ 9:16 သို့မဟုတ် auto အထိ ဖြစ်သည်။ `bitrate_mode` တွင် standard သို့မဟုတ် high ကို ရွေးချယ်နိုင်ပြီး ကုဒက်သည် H264 သို့မဟုတ် H265 ဖြစ်နိုင်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
ဗီဒီယိုဖန်တီးမှုကို လမ်းညွှန်သည့် စာသားပရောမ့်။
resolutionရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုး720p
480p720p1080p
ထွက်ရလဒ် ရုပ်ထွက်အရည်အသွေး: 480p သည် မြန်နှုန်းကို ဦးစားပေးပြီး၊ 720p သည် ဟန်ချက်ညီမှုကို ပေးကာ၊ 1080p သည် အရည်အသွေးမြင့် ရလဒ်ကို ပေးသည်။
durationရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto456789101112131415161718
+12 ခု ထပ်မံ192021222324252627282930
ဗီဒီယိုကြာချိန် ရွေးချယ်မှု: `auto` သည် ပရောမ့်ကို အသုံးပြု၍ ရွေးချယ်မှုကို မော်ဒယ်ထံ လွှဲပေးသည်။ သတ်မှတ်ထားသော ကြာချိန်သည် 4 မှ 30 စက္ကန့်အတွင်း ဖြစ်ရမည်။
aspect_ratioရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
auto21:916:94:31:13:49:16
ထွက်ရလဒ် အချိုး: 16:9 သည် အလျားလိုက်၊ 9:16 သည် ဒေါင်လိုက်၊ 1:1 သည် စတုရန်းနှင့် 21:9 သည် ရုပ်ရှင်ဆန်သော ultrawide ဖြစ်စေသည်။ မော်ဒယ်အား အချိုးရွေးချယ်စေရန် `auto` ကို ရွေးပါ။
generate_audioရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
ဗီဒီယိုနှင့် တစ်ပြိုင်တည်း အသံပါစေရန် ဤရွေးချယ်မှုကို ဖွင့်ပါ။ ဖန်တီးထားသော အသံတွင် နှုတ်ခမ်းလှုပ်ရှားမှုနှင့် ကိုက်ညီသော စကားပြောသံ၊ ပတ်ဝန်းကျင်အသံနှင့် အသံအကျိုးသက်ရောက်မှုများ ပါဝင်သည်။
bitrate_modeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးstandard
standardhigh
ထွက်ရလဒ် encoding bitrate ကို ရွေးပါ: 'standard' သည် မူလတန်ဖိုးကို ထိန်းသိမ်းပြီး 'high' သည် ဖိုင်အရွယ်အစား ပိုကြီးလာသော်လည်း encoding အရည်အသွေးကို မြှင့်တင်ရန် မော်ဒယ်အား တောင်းဆိုသည်။
codecရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးauto
autoH264H265
ဗီဒီယို codec ရွေးချယ်ခြင်း: `auto` သည် မူလ codec အပြုအမူကို မပြောင်းလဲဘဲ ထားသည်၊ `H264` သည် H.264 ကို ရွေးပြီး `H265` သည် H.265 ကို ရွေးသည်။
end_user_idရွေးချယ်နိုင်သည်
အမျိုးအစားstring | null
နောက်ဆုံးအသုံးပြုသူထံ သတ်မှတ်ပေးထားသော ထူးခြားသည့် အမှတ်အသား။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.5/us/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 6944,
    "usd": "6.944",
    "charged": 6944,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42,
    "draft_id": "string"
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
video
object {url, content_type, file_name, file_size}ဖန်တီးမှုမှ ထွက်ရှိသည့် ဗီဒီယိုဖိုင်။
seed
integerဖန်တီးမှုအတွင်း အသုံးပြုသည့် seed တန်ဖိုး။
draft_id
string | nullအကောင့်တစ်ခုတည်းအတွင်း ခုနစ်ရက်အတွင်း ပြီးစီးမည့် draft အတွက် identifier ဖြစ်သည်။ draft mode ပိတ်ထားပါက response တွင် null ပါဝင်မည်။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ ဗီဒီယို

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/bytedance/seedance-2.5/us/text-to-video.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt